CREATE TABLE email_statuses (
  id SERIAL PRIMARY KEY,
  domain VARCHAR(255) NOT NULL,
  s3_key VARCHAR(1024) NOT NULL,
  status VARCHAR(50) NOT NULL,
  timestamp BIGINT NOT NULL,
  processor VARCHAR(50) NOT NULL,
  from_addr TEXT,
  to_addrs TEXT[],
  UNIQUE (domain, s3_key)
);